package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ChooseMachineBean {


    /**
     * id : null
     * createDateTime : null
     * updateDateTime : null
     * feedbackCode : null
     * productId : null
     * productCode : null
     * productName : null
     * drawingNumber : null
     * version : null
     * specification : null
     * customerId : null
     * customerName : null
     * saleUserId : null
     * saleUserCode : null
     * saleUserName : null
     * phoneNumber : null
     * boxId : null
     * boxCode : null
     * serialNumber : null
     * caster : lzj111
     * casterName : 连铸机01
     * defectId : null
     * defectCount : null
     * defectCounts : null
     * defectCode : null
     * defectName : null
     * mainCause : null
     * steelTypeId : 钢种1
     * steelTypeName : null
     * feedbackDescription : null
     * otherProviderBehavior : null
     * salerOpinion : null
     * attachmentId : null
     * factoryAnalysis : null
     * factoryLeaderOpinion : null
     * factoryImplement : null
     * procedureId : null
     * procedureCode : null
     * procedureName : null
     * defectMudId : null
     * defectMudCode : null
     * defectMudName : null
     * rapidResponse : null
     * customerResponse : null
     * relatedRecord : null
     * seriesName : null
     * seriesType : null
     * severity : null
     * treatRectPlan : null
     * status : null
     * attachments : []
     * responsibleUserId : null
     * responsibleUserName : null
     * factoryTreatmentDateTime : null
     * verifyUserId : null
     * verifyUserName : null
     * verifyUserDate : null
     * recordUserId : null
     * recorUserName : null
     * recorUserDate : null
     * responsibleDealId : null
     * responsibleDealName : null
     * responsibleDealDate : null
     * responsibleCustId : null
     * responsibleCustName : null
     * responsibleCustDate : null
     * approvalUserId : null
     * approvalUserName : null
     * approvalUserDate : null
     * createUserId : null
     * createUserName : null
     * updateUserId : null
     * updateUserName : null
     * defectMudIds : null
     * attachment : null
     * delete : null
     */

    private Object id;
    private Object createDateTime;
    private Object updateDateTime;
    private Object feedbackCode;
    private Object productId;
    private Object productCode;
    private Object productName;
    private Object drawingNumber;
    private Object version;
    private Object specification;
    private Object customerId;
    private Object customerName;
    private Object saleUserId;
    private Object saleUserCode;
    private Object saleUserName;
    private Object phoneNumber;
    private Object boxId;
    private Object boxCode;
    private Object serialNumber;
    private String caster;
    private String casterName;
    private Object defectId;
    private String defectCount;
    private Object defectCounts;
    private Object defectCode;
    private Object defectName;
    private Object mainCause;
    private String steelTypeId;
    private Object steelTypeName;
    private Object feedbackDescription;
    private Object otherProviderBehavior;
    private Object salerOpinion;
    private Object attachmentId;
    private Object factoryAnalysis;
    private Object factoryLeaderOpinion;
    private Object factoryImplement;
    private Object procedureId;
    private Object procedureCode;
    private Object procedureName;
    private Object defectMudId;
    private Object defectMudCode;
    private Object defectMudName;
    private Object rapidResponse;
    private Object customerResponse;
    private Object relatedRecord;
    private Object seriesName;
    private Object seriesType;
    private Object severity;
    private Object treatRectPlan;
    private Object status;
    private Object responsibleUserId;
    private Object responsibleUserName;
    private Object factoryTreatmentDateTime;
    private Object verifyUserId;
    private Object verifyUserName;
    private Object verifyUserDate;
    private Object recordUserId;
    private Object recorUserName;
    private Object recorUserDate;
    private Object responsibleDealId;
    private Object responsibleDealName;
    private Object responsibleDealDate;
    private Object responsibleCustId;
    private Object responsibleCustName;
    private Object responsibleCustDate;
    private Object approvalUserId;
    private Object approvalUserName;
    private Object approvalUserDate;
    private Object createUserId;
    private Object createUserName;
    private Object updateUserId;
    private Object updateUserName;
    private Object defectMudIds;
    private Object attachment;
    private Object delete;
    private List<?> attachments;

    public Object getId() {
        return id;
    }

    public void setId(Object id) {
        this.id = id;
    }

    public Object getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(Object createDateTime) {
        this.createDateTime = createDateTime;
    }

    public Object getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(Object updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public Object getFeedbackCode() {
        return feedbackCode;
    }

    public void setFeedbackCode(Object feedbackCode) {
        this.feedbackCode = feedbackCode;
    }

    public Object getProductId() {
        return productId;
    }

    public void setProductId(Object productId) {
        this.productId = productId;
    }

    public Object getProductCode() {
        return productCode;
    }

    public void setProductCode(Object productCode) {
        this.productCode = productCode;
    }

    public Object getProductName() {
        return productName;
    }

    public void setProductName(Object productName) {
        this.productName = productName;
    }

    public Object getDrawingNumber() {
        return drawingNumber;
    }

    public void setDrawingNumber(Object drawingNumber) {
        this.drawingNumber = drawingNumber;
    }

    public Object getVersion() {
        return version;
    }

    public void setVersion(Object version) {
        this.version = version;
    }

    public Object getSpecification() {
        return specification;
    }

    public void setSpecification(Object specification) {
        this.specification = specification;
    }

    public Object getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Object customerId) {
        this.customerId = customerId;
    }

    public Object getCustomerName() {
        return customerName;
    }

    public void setCustomerName(Object customerName) {
        this.customerName = customerName;
    }

    public Object getSaleUserId() {
        return saleUserId;
    }

    public void setSaleUserId(Object saleUserId) {
        this.saleUserId = saleUserId;
    }

    public Object getSaleUserCode() {
        return saleUserCode;
    }

    public void setSaleUserCode(Object saleUserCode) {
        this.saleUserCode = saleUserCode;
    }

    public Object getSaleUserName() {
        return saleUserName;
    }

    public void setSaleUserName(Object saleUserName) {
        this.saleUserName = saleUserName;
    }

    public Object getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(Object phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Object getBoxId() {
        return boxId;
    }

    public void setBoxId(Object boxId) {
        this.boxId = boxId;
    }

    public Object getBoxCode() {
        return boxCode;
    }

    public void setBoxCode(Object boxCode) {
        this.boxCode = boxCode;
    }

    public Object getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Object serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getCaster() {
        return caster;
    }

    public void setCaster(String caster) {
        this.caster = caster;
    }

    public String getCasterName() {
        return casterName;
    }

    public void setCasterName(String casterName) {
        this.casterName = casterName;
    }

    public Object getDefectId() {
        return defectId;
    }

    public void setDefectId(Object defectId) {
        this.defectId = defectId;
    }

    public String getDefectCount() {
        return defectCount;
    }

    public void setDefectCount(String defectCount) {
        this.defectCount = defectCount;
    }

    public Object getDefectCounts() {
        return defectCounts;
    }

    public void setDefectCounts(Object defectCounts) {
        this.defectCounts = defectCounts;
    }

    public Object getDefectCode() {
        return defectCode;
    }

    public void setDefectCode(Object defectCode) {
        this.defectCode = defectCode;
    }

    public Object getDefectName() {
        return defectName;
    }

    public void setDefectName(Object defectName) {
        this.defectName = defectName;
    }

    public Object getMainCause() {
        return mainCause;
    }

    public void setMainCause(Object mainCause) {
        this.mainCause = mainCause;
    }

    public String getSteelTypeId() {
        return steelTypeId;
    }

    public void setSteelTypeId(String steelTypeId) {
        this.steelTypeId = steelTypeId;
    }

    public Object getSteelTypeName() {
        return steelTypeName;
    }

    public void setSteelTypeName(Object steelTypeName) {
        this.steelTypeName = steelTypeName;
    }

    public Object getFeedbackDescription() {
        return feedbackDescription;
    }

    public void setFeedbackDescription(Object feedbackDescription) {
        this.feedbackDescription = feedbackDescription;
    }

    public Object getOtherProviderBehavior() {
        return otherProviderBehavior;
    }

    public void setOtherProviderBehavior(Object otherProviderBehavior) {
        this.otherProviderBehavior = otherProviderBehavior;
    }

    public Object getSalerOpinion() {
        return salerOpinion;
    }

    public void setSalerOpinion(Object salerOpinion) {
        this.salerOpinion = salerOpinion;
    }

    public Object getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Object attachmentId) {
        this.attachmentId = attachmentId;
    }

    public Object getFactoryAnalysis() {
        return factoryAnalysis;
    }

    public void setFactoryAnalysis(Object factoryAnalysis) {
        this.factoryAnalysis = factoryAnalysis;
    }

    public Object getFactoryLeaderOpinion() {
        return factoryLeaderOpinion;
    }

    public void setFactoryLeaderOpinion(Object factoryLeaderOpinion) {
        this.factoryLeaderOpinion = factoryLeaderOpinion;
    }

    public Object getFactoryImplement() {
        return factoryImplement;
    }

    public void setFactoryImplement(Object factoryImplement) {
        this.factoryImplement = factoryImplement;
    }

    public Object getProcedureId() {
        return procedureId;
    }

    public void setProcedureId(Object procedureId) {
        this.procedureId = procedureId;
    }

    public Object getProcedureCode() {
        return procedureCode;
    }

    public void setProcedureCode(Object procedureCode) {
        this.procedureCode = procedureCode;
    }

    public Object getProcedureName() {
        return procedureName;
    }

    public void setProcedureName(Object procedureName) {
        this.procedureName = procedureName;
    }

    public Object getDefectMudId() {
        return defectMudId;
    }

    public void setDefectMudId(Object defectMudId) {
        this.defectMudId = defectMudId;
    }

    public Object getDefectMudCode() {
        return defectMudCode;
    }

    public void setDefectMudCode(Object defectMudCode) {
        this.defectMudCode = defectMudCode;
    }

    public Object getDefectMudName() {
        return defectMudName;
    }

    public void setDefectMudName(Object defectMudName) {
        this.defectMudName = defectMudName;
    }

    public Object getRapidResponse() {
        return rapidResponse;
    }

    public void setRapidResponse(Object rapidResponse) {
        this.rapidResponse = rapidResponse;
    }

    public Object getCustomerResponse() {
        return customerResponse;
    }

    public void setCustomerResponse(Object customerResponse) {
        this.customerResponse = customerResponse;
    }

    public Object getRelatedRecord() {
        return relatedRecord;
    }

    public void setRelatedRecord(Object relatedRecord) {
        this.relatedRecord = relatedRecord;
    }

    public Object getSeriesName() {
        return seriesName;
    }

    public void setSeriesName(Object seriesName) {
        this.seriesName = seriesName;
    }

    public Object getSeriesType() {
        return seriesType;
    }

    public void setSeriesType(Object seriesType) {
        this.seriesType = seriesType;
    }

    public Object getSeverity() {
        return severity;
    }

    public void setSeverity(Object severity) {
        this.severity = severity;
    }

    public Object getTreatRectPlan() {
        return treatRectPlan;
    }

    public void setTreatRectPlan(Object treatRectPlan) {
        this.treatRectPlan = treatRectPlan;
    }

    public Object getStatus() {
        return status;
    }

    public void setStatus(Object status) {
        this.status = status;
    }

    public Object getResponsibleUserId() {
        return responsibleUserId;
    }

    public void setResponsibleUserId(Object responsibleUserId) {
        this.responsibleUserId = responsibleUserId;
    }

    public Object getResponsibleUserName() {
        return responsibleUserName;
    }

    public void setResponsibleUserName(Object responsibleUserName) {
        this.responsibleUserName = responsibleUserName;
    }

    public Object getFactoryTreatmentDateTime() {
        return factoryTreatmentDateTime;
    }

    public void setFactoryTreatmentDateTime(Object factoryTreatmentDateTime) {
        this.factoryTreatmentDateTime = factoryTreatmentDateTime;
    }

    public Object getVerifyUserId() {
        return verifyUserId;
    }

    public void setVerifyUserId(Object verifyUserId) {
        this.verifyUserId = verifyUserId;
    }

    public Object getVerifyUserName() {
        return verifyUserName;
    }

    public void setVerifyUserName(Object verifyUserName) {
        this.verifyUserName = verifyUserName;
    }

    public Object getVerifyUserDate() {
        return verifyUserDate;
    }

    public void setVerifyUserDate(Object verifyUserDate) {
        this.verifyUserDate = verifyUserDate;
    }

    public Object getRecordUserId() {
        return recordUserId;
    }

    public void setRecordUserId(Object recordUserId) {
        this.recordUserId = recordUserId;
    }

    public Object getRecorUserName() {
        return recorUserName;
    }

    public void setRecorUserName(Object recorUserName) {
        this.recorUserName = recorUserName;
    }

    public Object getRecorUserDate() {
        return recorUserDate;
    }

    public void setRecorUserDate(Object recorUserDate) {
        this.recorUserDate = recorUserDate;
    }

    public Object getResponsibleDealId() {
        return responsibleDealId;
    }

    public void setResponsibleDealId(Object responsibleDealId) {
        this.responsibleDealId = responsibleDealId;
    }

    public Object getResponsibleDealName() {
        return responsibleDealName;
    }

    public void setResponsibleDealName(Object responsibleDealName) {
        this.responsibleDealName = responsibleDealName;
    }

    public Object getResponsibleDealDate() {
        return responsibleDealDate;
    }

    public void setResponsibleDealDate(Object responsibleDealDate) {
        this.responsibleDealDate = responsibleDealDate;
    }

    public Object getResponsibleCustId() {
        return responsibleCustId;
    }

    public void setResponsibleCustId(Object responsibleCustId) {
        this.responsibleCustId = responsibleCustId;
    }

    public Object getResponsibleCustName() {
        return responsibleCustName;
    }

    public void setResponsibleCustName(Object responsibleCustName) {
        this.responsibleCustName = responsibleCustName;
    }

    public Object getResponsibleCustDate() {
        return responsibleCustDate;
    }

    public void setResponsibleCustDate(Object responsibleCustDate) {
        this.responsibleCustDate = responsibleCustDate;
    }

    public Object getApprovalUserId() {
        return approvalUserId;
    }

    public void setApprovalUserId(Object approvalUserId) {
        this.approvalUserId = approvalUserId;
    }

    public Object getApprovalUserName() {
        return approvalUserName;
    }

    public void setApprovalUserName(Object approvalUserName) {
        this.approvalUserName = approvalUserName;
    }

    public Object getApprovalUserDate() {
        return approvalUserDate;
    }

    public void setApprovalUserDate(Object approvalUserDate) {
        this.approvalUserDate = approvalUserDate;
    }

    public Object getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Object createUserId) {
        this.createUserId = createUserId;
    }

    public Object getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(Object createUserName) {
        this.createUserName = createUserName;
    }

    public Object getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Object updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Object getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(Object updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Object getDefectMudIds() {
        return defectMudIds;
    }

    public void setDefectMudIds(Object defectMudIds) {
        this.defectMudIds = defectMudIds;
    }

    public Object getAttachment() {
        return attachment;
    }

    public void setAttachment(Object attachment) {
        this.attachment = attachment;
    }

    public Object getDelete() {
        return delete;
    }

    public void setDelete(Object delete) {
        this.delete = delete;
    }

    public List<?> getAttachments() {
        return attachments;
    }

    public void setAttachments(List<?> attachments) {
        this.attachments = attachments;
    }
}
